package com.muyu.breakdown.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.breakdown.domain.SysCarFault;
import com.muyu.breakdown.domain.SysCarFaultLog;
import com.muyu.breakdown.domain.SysCarFaultMessage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @ClassDescription:
 * @JdkVersion: 1.8
 * @Author: YZL
 * @Created: 2024/9/22 21:06
 */
@Mapper
public interface SysCarFaultLogMapper extends BaseMapper<SysCarFaultLog> {





    @Select("SELECT fault.fault_code,log.update_time,log.create_time,log.vin,log.status FROM sys_car_fault_log  log \n" +
            "LEFT JOIN sys_car_fault fault on log.sys_car_fault_id=fault.id ")
    public List<SysCarFaultLog>list(SysCarFaultLog SysCarFaultLog);
}
